Package org.apache.lucene.facet

## Class DrillSideways.DrillSidewaysResult

- java.lang.Object
- - org.apache.lucene.facet.DrillSideways.DrillSidewaysResult

- Direct Known Subclasses:
    `DrillSideways.ConcurrentDrillSidewaysResult`
  Enclosing class:
    DrillSideways

      public static class DrillSideways.DrillSidewaysResult
      extends Object

  Result of a drill sideways search, including the `Facets` and `TopDocs`. The `FacetsCollector`s for the drill down and drill sideways dimensions are also exposed for advanced use-cases that need access to them as an alternative to accessing the `Facets`.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `FacetsCollector` | `drillDownFacetsCollector` | FacetsCollector populated based on hits that match the full DrillDownQuery, treating all drill down dimensions as required clauses.
    `String[]` | `drillSidewaysDims` | Dimensions that correspond to to the `drillSidewaysFacetsCollector`
    `FacetsCollector[]` | `drillSidewaysFacetsCollector` | FacetsCollectors populated for each drill sideways dimension.
    `Facets` | `facets` | Combined drill down and sideways results.
    `TopDocs` | `hits` | Hits.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DrillSidewaysResult​(Facets facets, TopDocs hits, FacetsCollector drillDownFacetsCollector, FacetsCollector[] drillSidewaysFacetsCollector, String[] drillSidewaysDims)` | Sole constructor.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### facets

          public final Facets facets

      Combined drill down and sideways results.

    - #### hits

          public final TopDocs hits

      Hits.

    - #### drillDownFacetsCollector

          public final FacetsCollector drillDownFacetsCollector

      FacetsCollector populated based on hits that match the full DrillDownQuery, treating all drill down dimensions as required clauses. Useful for advanced use-cases that want to compute Facets results separate from the provided Facets in this result.

    - #### drillSidewaysFacetsCollector

          public final FacetsCollector[] drillSidewaysFacetsCollector

      FacetsCollectors populated for each drill sideways dimension. Each collector exposes the hits that match on all DrillDownQuery dimensions, but treating their corresponding sideways dimension as optional. This array provides a FacetsCollector for each drill down dimension present in the original DrillDownQuery, and the associated dimension for each FacetsCollector can be determined using the parallel `drillSidewaysDims` array. Useful for advanced use-cases that want to compute Facets results separate from the provided Facets in this result.

    - #### drillSidewaysDims

          public final String[] drillSidewaysDims

      Dimensions that correspond to to the `drillSidewaysFacetsCollector`

  - ### Constructor Detail

    - #### DrillSidewaysResult

          public DrillSidewaysResult​(Facets facets,
                                     TopDocs hits,
                                     FacetsCollector drillDownFacetsCollector,
                                     FacetsCollector[] drillSidewaysFacetsCollector,
                                     String[] drillSidewaysDims)

      Sole constructor.